* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/tcptrace/, net-analyzer/tcptrace/files/
@ 2019-01-02 13:48 Jeroen Roovers
0 siblings, 0 replies; only message in thread
From: Jeroen Roovers @ 2019-01-02 13:48 UTC (permalink / raw
To: gentoo-commits
commit: 25fc8c77e8ce2b16e0a5ceb24bbbf34462c7353b
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 2 13:47:56 2019 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jan 2 13:48:19 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25fc8c77
net-analyzer/tcptrace: Version 6.6.7_p5
Package-Manager: Portage-2.3.53, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
net-analyzer/tcptrace/Manifest | 1 +
.../files/tcptrace-6.6.7-_DEFAULT_SOURCE.patch | 14 ++++++
net-analyzer/tcptrace/tcptrace-6.6.7_p5.ebuild | 58 ++++++++++++++++++++++
3 files changed, 73 insertions(+)
diff --git a/net-analyzer/tcptrace/Manifest b/net-analyzer/tcptrace/Manifest
index c2006a3c04c..38a5487049c 100644
--- a/net-analyzer/tcptrace/Manifest
+++ b/net-analyzer/tcptrace/Manifest
@@ -1,2 +1,3 @@
DIST tcptrace-6.6.7.tar.gz 3773308 BLAKE2B cae5816cb25c33f71c316d14de3c18ff26f0e7452375a962b88c4818ca7c43425e7298e788bd8cb43f2e22ac7dc9b89ed1921b7bd70d0e8befab3ee791453fb1 SHA512 3638770c342aea6c71aa556e758ed22e1fd44730f6c652cf82d3861eb1c31b186952c660071bd1df45020b80eaf9dd090a4ff58c979cc907eb8154dcb7b9b432
DIST tcptrace_6.6.7-4.1.diff.gz 29161 BLAKE2B 83768d0a6f14525f20b484421181078a3cf7ac3adeada3cf02a7441530593632743c6e515dd8738f5a4692422d97f4eb718dda076a234489096a10defb97dd5f SHA512 2f6dfeb8e15faa0151bdbb18194587e51de040f63117eb1b469a826091d5c1e5eb41a306bdc94e89ce993d0d04ec31324e5f7eea0a1a52852e07ee80006b2087
+DIST tcptrace_6.6.7-5.debian.tar.xz 6236 BLAKE2B 21d35b625fdc7b94c29b2be595ac39488578f08c53e5dde98953bbebaa2d8d96de968b746dd107ea78365a77f1fe7aa5abfeb3aeef4473c9020587f93066000c SHA512 6265d0bfb25f256c8f356cda731c48f869fe3e9d9504ed6afd0e98a3c2caf5dbcff73373c338be111712713b9a501fae886bb06723796103bac4dec5d8fcfaf6
diff --git a/net-analyzer/tcptrace/files/tcptrace-6.6.7-_DEFAULT_SOURCE.patch b/net-analyzer/tcptrace/files/tcptrace-6.6.7-_DEFAULT_SOURCE.patch
new file mode 100644
index 00000000000..4513f510049
--- /dev/null
+++ b/net-analyzer/tcptrace/files/tcptrace-6.6.7-_DEFAULT_SOURCE.patch
@@ -0,0 +1,14 @@
+--- a/configure.in
++++ b/configure.in
+@@ -93,9 +93,9 @@
+ *cygwin*) V_PCAP_LDLIBS="-lwpcap";
+ esac
+
+-dnl define _BSD_SOURCE for libc-2
++dnl define _DEFAULT_SOURCE for libc-2
+ if [[ -f /lib/libc-2* ]]; then
+- V_DEFINES="$V_DEFINES -D_BSD_SOURCE"
++ V_DEFINES="$V_DEFINES -D_DEFAULT_SOURCE"
+ fi
+
+ AC_SUBST(V_CCOPT)
diff --git a/net-analyzer/tcptrace/tcptrace-6.6.7_p5.ebuild b/net-analyzer/tcptrace/tcptrace-6.6.7_p5.ebuild
new file mode 100644
index 00000000000..acb7c415420
--- /dev/null
+++ b/net-analyzer/tcptrace/tcptrace-6.6.7_p5.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+DESCRIPTION="A Tool for analyzing network packet dumps"
+HOMEPAGE="http://www.tcptrace.org/"
+SRC_URI="
+ http://www.tcptrace.org/download/${P/_p*}.tar.gz
+ http://www.tcptrace.org/download/old/6.6/${P/_p*}.tar.gz
+ mirror://debian/pool/main/t/${PN}/${PN}_${PV/_p*}-${PV/*_p}.debian.tar.xz
+"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+DEPEND="
+ net-libs/libpcap
+"
+RDEPEND="
+ ${DEPEND}
+"
+PATCHES=(
+ "${FILESDIR}"/${P/_p*}-cross-compile.patch
+ "${FILESDIR}"/${P/_p*}-_DEFAULT_SOURCE.patch
+)
+S=${WORKDIR}/${P/_p*}
+
+src_prepare() {
+ default
+
+ eapply \
+ $(awk '{ print "'"${WORKDIR}"'/debian/patches/" $0; }' < "${WORKDIR}"/debian/patches/series)
+
+ eautoreconf
+}
+
+src_compile() {
+ emake CCOPT="${CFLAGS}"
+}
+
+src_install() {
+ dobin tcptrace xpl2gpl
+
+ newman tcptrace.man tcptrace.1
+ dodoc CHANGES COPYRIGHT FAQ README* THANKS WWW
+}
+
+pkg_postinst() {
+ if ! has_version ${CATEGORY}/${PN}; then
+ elog "Note: tcptrace outputs its graphs in the xpl (xplot)"
+ elog "format. Since xplot is unavailable, you will have to"
+ elog "use the included xpl2gpl utility to convert it to"
+ elog "the gnuplot format."
+ fi
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2019-01-02 13:48 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-01-02 13:48 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/tcptrace/, net-analyzer/tcptrace/files/ Jeroen Roovers
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox